# $Revision: 1.10 $, $Date: 2004/09/03 16:52:47 $
Summary:	ROBODoc - extract documentation from source code
Summary(pl):	ROBODoc - narzdzie wycigajce dokumentacj z kodu rdowego
Name:		robodoc
Version:	4.0.24
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	42713811c708975b980ea1e422ae9fbc
URL:		http://sourceforge.net/projects/robodoc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ROBODoc is a documentation tool (based on the AutoDocs program written
a long time ago by Commodore). It extracts specially formated comment
headers from the source file and puts them in a separate file. ROBODoc
thus allows you to include the program documentation in the source
code and avoid having to maintain two separate documents.

ROBODoc can format the documentation in HTML, ASCII, AmigaGuide,
LaTeX, or RTF format. It is even possible to include parts of the
source code with function names that point their the documentation. It
also can create index tables for all your variables, classes,
functions, etc.

The best feature of ROBODoc is that it works with many languages:
Assembler, C, Perl, LISP, Occam, Tcl/Tk, Pascal, Fortran, shell
scripts, and COBOL, basically any language that supports
comments/remarks.

%description -l pl
ROBODoc to narzdzie do dokumentacji (bazujce na programie AutoDocs
napisanym dawno temu przez Commodore). Wyciga ono specjalnie
sformatowane nagwki z komentarzami z plikw rdowych u umieszcza
je w osobnym pliku. ROBODoc pozwala na doczanie dokumentacji
programu w kodzie rdowym i zapobiega koniecznoci zarzdzania dwoma
oddzielnymi dokumentami.

ROBODoc moe formatowa dokumentacj w formatach: HTML, ASCII,
AmigaGuide, LaTeX oraz RTF. Mona take docza czci kodu
rdowego z nazwami funkcji wskazanymi w ich dokumentacji. Moe take
tworzy tabele z indeksami wszystkich zmiennych, klas, funkcji itp.

Najlepsz cech ROBODoc jest to, e dziaa z wieloma jzykami:
asembler, C, Perl, LISP, Occam, Tcl/Tk, Pascal, Fortran, skrypty
powoki i COBOL; oglnie z kadym jzykiem obsugujcy komentarze.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
#%%{__automake}
%configure
#--prefix=$RPM_BUILD_ROOT%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir}
%{__make}
#docdir=$RPM_BUILD_ROOT%{_prefix}/share/doc/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Examples/* Headers $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO Docs/manual.xml
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: robodoc.spec,v $
Revision 1.10  2004/09/03 16:52:47  darekr
- updated to 4.0.24

Revision 1.9  2004/01/30 01:56:38  pzurowski
- Updated to 4.0.18

Revision 1.8  2003/06/27 12:42:58  misi3k
- std sf url

Revision 1.7  2003/05/28 13:01:40  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/28 10:08:53  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.3  2002/10/08 08:25:52  qboosh
- BR: autoconf,automake

Revision 1.2  2002/10/02 12:32:20  qboosh
- pl description

Revision 1.1  2002/09/28 23:46:04  radek
- new, STBR
